UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMMessageProperty Class Reference

## Public Member Functions
String | key ()
int | type ()
boolean | getBoolean () throws LBMEInvalException
byte | getByte () throws LBMEInvalException
short | getShort () throws LBMEInvalException
int | getInteger () throws LBMEInvalException
long | getLong () throws LBMEInvalException
float | getFloat () throws LBMEInvalException
double | getDouble () throws LBMEInvalException, NumberFormatException
String | getString () throws LBMEInvalException
Object | getObject ()

## Member Function Documentation

boolean com.latencybusters.lbm.LBMMessageProperty.getBoolean | ( |  | ) | throws LBMEInvalException

Retrieve the value stored in this object as a boolean. Only properties of type LBM.MSG_PROPERTY_BOOLEAN and LBM.MSG_PROPERTY_STRING can be retrieved as a boolean.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getBoolean().

byte com.latencybusters.lbm.LBMMessageProperty.getByte | ( |  | ) | throws LBMEInvalException

Retrieve the value stored in this object as a byte. Only properties of type LBM.MSG_PROPERTY_BYTE and LBM.MSG_PROPERTY_STRING can be retrieved as a byte.

Returns
  The stored value, converted to a java.lang.Byte.

Exceptions

  LBMEInvalException | if the stored value is of a type that cannot be converted to a java.lang.Byte, or if the stored value is a string and does not contain the string representation of a java.lang.Byte.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getByte().

double com.latencybusters.lbm.LBMMessageProperty.getDouble | ( |  | ) | throws LBMEInvalException, NumberFormatException

Retrieve the value stored in this object as a double. Only properties of type LBM.MSG_PROPERTY_FLOAT, LBM.MSG_PROPERTY_DOUBLE and LBM.MSG_PROPERTY_STRING can be retrieved as a double.

Returns
  The stored value, converted to a java.lang.Double.

Exceptions

  LBMEInvalException | if the stored value is of a type that cannot be converted to a java.lang.Double, or if the stored value is a string and does not contain the string representation of a java.lang.Double.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getDouble().

float com.latencybusters.lbm.LBMMessageProperty.getFloat | ( |  | ) | throws LBMEInvalException

Retrieve the value stored in this object as a float. Only properties of type LBM.MSG_PROPERTY_FLOAT and LBM.MSG_PROPERTY_STRING can be retrieved as a float.

Returns
  The stored value, converted to a java.lang.Float.

Exceptions

  LBMEInvalException | if the stored value is of a type that cannot be converted to a java.lang.Float, or if the stored value is a string and does not contain the string representation of a java.lang.Float.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getFloat().

int com.latencybusters.lbm.LBMMessageProperty.getInteger | ( |  | ) | throws LBMEInvalException

Retrieve the value stored in this object as a integer. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, LBM.MSG_PROPERTY_INT, and LBM.MSG_PROPERTY_STRING can be retrieved as a integer.

Returns
  The stored value, converted to a java.lang.Integer.

Exceptions

  LBMEInvalException | if the stored value is of a type that cannot be converted to a java.lang.Integer. or if the stored value is a string and does not contain the string representation of a java.lang.Integer.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getInteger().

long com.latencybusters.lbm.LBMMessageProperty.getLong | ( |  | ) | throws LBMEInvalException

Retrieve the value stored in this object as a long. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, LBM.MSG_PROPERTY_INT, LBM.MSG_PROPERTY_LONG and LBM.MSG_PROPERTY_STRING can be retrieved as a long.

Returns
  The stored value, converted to a java.lang.Long.

Exceptions

  LBMEInvalException | if the stored value is of a type that cannot be converted to a java.lang.Long, or if the stored value is a string and does not contain the string representation of a java.lang.Long.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getLong().

Object com.latencybusters.lbm.LBMMessageProperty.getObject | ( |  | ) |

Retrieve the value stored in this object as an Object. Any type may be retrieved as a Object.

Returns
  The stored value, converted to a java.lang.Object.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING, and com.latencybusters.lbm.LBMMessageProperty.type().

Referenced by com.latencybusters.lbm.LBMMessageProperties.getObject().

short com.latencybusters.lbm.LBMMessageProperty.getShort | ( |  | ) | throws LBMEInvalException

Retrieve the value stored in this object as a short. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, and LBM.MSG_PROPERTY_STRING can be retrieved as a short.

Returns
  The stored value, converted to a java.lang.Short.

Exceptions

  LBMEInvalException | if the stored value is of a type that cannot be converted to a java.lang.Short, or if the stored value is a string and does not contain the string representation of a java.lang.Short.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getShort().

String com.latencybusters.lbm.LBMMessageProperty.getString | ( |  | ) | throws LBMEInvalException

Retrieve the value stored in this object as a string. Any type may be retrieved as a string.

Returns
  The stored value, converted to a java.lang.String.

Exceptions

  LBMEInvalException | if the stored value is of a type that cannot be converted to a java.lang.String.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getString().

String com.latencybusters.lbm.LBMMessageProperty.key | ( |  | ) |

Retrieve the name of the property represented by this object.

Referenced by com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

int com.latencybusters.lbm.LBMMessageProperty.type | ( |  | ) |

Retrieve the type of the property represented by this object.

Referenced by com.latencybusters.lbm.LBMMessageProperty.getObject(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

The documentation for this class was generated from the following file:

- LBMMessageProperty.java